<?xml version="1.0" encoding="iso-8859-1"?>
<xs:schema xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" attributeFormDefault="unqualified" elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="aiml">
    <xs:complexType mixed="true">
      <xs:sequence>
        <xs:choice maxOccurs="unbounded">
          <xs:element maxOccurs="unbounded" name="category">
            <xs:complexType mixed="true">
              <xs:sequence>
                <xs:element name="pattern" type="xs:string" />
                <xs:element minOccurs="0" name="srai" type="xs:string" />
                <xs:element minOccurs="0" name="that" type="xs:string" />
                <xs:element name="template">
                  <xs:complexType mixed="true">
                    <xs:sequence minOccurs="0">
                      <xs:choice maxOccurs="unbounded">
                        <xs:element name="bot">
                          <xs:complexType>
                            <xs:attribute name="name" type="xs:string" use="optional" />
                            <xs:attribute name="nomment" type="xs:string" use="optional" />
                          </xs:complexType>
                        </xs:element>
                        <xs:element maxOccurs="unbounded" name="Br" />
                        <xs:element name="person" />
                        <xs:element name="formal">
                          <xs:complexType>
                            <xs:sequence>
                              <xs:element minOccurs="0" name="person2" />
                              <xs:element minOccurs="0" name="get">
                                <xs:complexType>
                                  <xs:attribute name="name" type="xs:string" use="required" />
                                </xs:complexType>
                              </xs:element>
                            </xs:sequence>
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="random">
                          <xs:complexType>
                            <xs:sequence>
                              <xs:element maxOccurs="unbounded" name="li">
                                <xs:complexType mixed="true">
                                  <xs:sequence minOccurs="0">
                                    <xs:choice maxOccurs="unbounded">
                                      <xs:element name="formal">
                                        <xs:complexType>
                                          <xs:sequence>
                                            <xs:element name="get">
                                              <xs:complexType>
                                                <xs:attribute name="name" type="xs:string" use="required" />
                                              </xs:complexType>
                                            </xs:element>
                                          </xs:sequence>
                                        </xs:complexType>
                                      </xs:element>
                                      <xs:element name="person" />
                                      <xs:element name="bot">
                                        <xs:complexType>
                                          <xs:attribute name="name" type="xs:string" use="required" />
                                        </xs:complexType>
                                      </xs:element>
                                      <xs:element name="that">
                                        <xs:complexType>
                                          <xs:attribute name="index" type="xs:unsignedByte" use="optional" />
                                        </xs:complexType>
                                      </xs:element>
                                      <xs:element name="get">
                                        <xs:complexType>
                                          <xs:attribute name="name" type="xs:string" use="required" />
                                        </xs:complexType>
                                      </xs:element>
                                      <xs:element name="star" />
                                      <xs:element name="set">
                                        <xs:complexType mixed="true">
                                          <xs:sequence minOccurs="0">
                                            <xs:element minOccurs="0" name="person" />
                                            <xs:element minOccurs="0" name="that" />
                                            <xs:element minOccurs="0" name="star" />
                                          </xs:sequence>
                                          <xs:attribute name="name" type="xs:string" use="required" />
                                        </xs:complexType>
                                      </xs:element>
                                      <xs:element name="srai">
                                        <xs:complexType mixed="true">
                                          <xs:sequence minOccurs="0">
                                            <xs:element minOccurs="0" name="srai">
                                              <xs:complexType mixed="true">
                                                <xs:sequence>
                                                  <xs:element name="star" />
                                                </xs:sequence>
                                              </xs:complexType>
                                            </xs:element>
                                            <xs:element minOccurs="0" name="star" />
                                          </xs:sequence>
                                        </xs:complexType>
                                      </xs:element>
                                      <xs:element name="favoritesong" />
                                      <xs:element name="Br" />
                                      <xs:element name="br" />
                                      <xs:element name="condition">
                                        <xs:complexType>
                                          <xs:sequence>
                                            <xs:element maxOccurs="unbounded" name="li">
                                              <xs:complexType mixed="true">
                                                <xs:sequence minOccurs="0">
                                                  <xs:element name="get">
                                                    <xs:complexType>
                                                      <xs:attribute name="name" type="xs:string" use="required" />
                                                    </xs:complexType>
                                                  </xs:element>
                                                </xs:sequence>
                                                <xs:attribute name="value" type="xs:string" use="optional" />
                                              </xs:complexType>
                                            </xs:element>
                                          </xs:sequence>
                                          <xs:attribute name="name" type="xs:string" use="required" />
                                        </xs:complexType>
                                      </xs:element>
                                      <xs:element name="think">
                                        <xs:complexType>
                                          <xs:sequence>
                                            <xs:element name="set">
                                              <xs:complexType>
                                                <xs:sequence>
                                                  <xs:element name="get">
                                                    <xs:complexType>
                                                      <xs:attribute name="name" type="xs:string" use="required" />
                                                    </xs:complexType>
                                                  </xs:element>
                                                </xs:sequence>
                                                <xs:attribute name="name" type="xs:string" use="required" />
                                              </xs:complexType>
                                            </xs:element>
                                          </xs:sequence>
                                        </xs:complexType>
                                      </xs:element>
                                      <xs:element name="person2" />
                                    </xs:choice>
                                  </xs:sequence>
                                </xs:complexType>
                              </xs:element>
                            </xs:sequence>
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="condition">
                          <xs:complexType mixed="true">
                            <xs:sequence minOccurs="0">
                              <xs:choice maxOccurs="unbounded">
                                <xs:element name="get">
                                  <xs:complexType>
                                    <xs:attribute name="name" type="xs:string" use="required" />
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="br" />
                                <xs:element name="srai">
                                  <xs:complexType mixed="true">
                                    <xs:sequence minOccurs="0">
                                      <xs:element minOccurs="0" name="star" />
                                      <xs:element minOccurs="0" name="get">
                                        <xs:complexType>
                                          <xs:attribute name="name" type="xs:string" use="required" />
                                        </xs:complexType>
                                      </xs:element>
                                    </xs:sequence>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element maxOccurs="unbounded" name="li">
                                  <xs:complexType mixed="true">
                                    <xs:sequence minOccurs="0">
                                      <xs:choice maxOccurs="unbounded">
                                        <xs:element name="set">
                                          <xs:complexType>
                                            <xs:sequence>
                                              <xs:element name="star" />
                                            </xs:sequence>
                                            <xs:attribute name="name" type="xs:string" use="required" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="get">
                                          <xs:complexType>
                                            <xs:attribute name="name" type="xs:string" use="required" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="br" />
                                        <xs:element name="bot">
                                          <xs:complexType>
                                            <xs:attribute name="name" type="xs:string" use="required" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="random">
                                          <xs:complexType>
                                            <xs:sequence>
                                              <xs:element maxOccurs="unbounded" name="li" type="xs:string" />
                                            </xs:sequence>
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="condition">
                                          <xs:complexType>
                                            <xs:sequence>
                                              <xs:element maxOccurs="unbounded" name="li">
                                                <xs:complexType mixed="true">
                                                  <xs:sequence minOccurs="0">
                                                    <xs:element name="random">
                                                      <xs:complexType>
                                                        <xs:sequence>
                                                          <xs:element maxOccurs="unbounded" name="li">
                                                            <xs:complexType mixed="true">
                                                              <xs:sequence>
                                                                <xs:element name="get">
                                                                  <xs:complexType>
                                                                    <xs:attribute name="name" type="xs:string" use="required" />
                                                                  </xs:complexType>
                                                                </xs:element>
                                                              </xs:sequence>
                                                            </xs:complexType>
                                                          </xs:element>
                                                        </xs:sequence>
                                                      </xs:complexType>
                                                    </xs:element>
                                                  </xs:sequence>
                                                  <xs:attribute name="value" type="xs:string" use="optional" />
                                                </xs:complexType>
                                              </xs:element>
                                            </xs:sequence>
                                            <xs:attribute name="name" type="xs:string" use="required" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="srai">
                                          <xs:complexType mixed="true">
                                            <xs:sequence minOccurs="0">
                                              <xs:element name="get">
                                                <xs:complexType>
                                                  <xs:attribute name="name" type="xs:string" use="required" />
                                                </xs:complexType>
                                              </xs:element>
                                            </xs:sequence>
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="think">
                                          <xs:complexType>
                                            <xs:sequence>
                                              <xs:choice maxOccurs="unbounded">
                                                <xs:element maxOccurs="unbounded" name="set">
                                                  <xs:complexType mixed="true">
                                                    <xs:sequence minOccurs="0">
                                                      <xs:element minOccurs="0" name="topic" />
                                                      <xs:element minOccurs="0" name="get">
                                                        <xs:complexType>
                                                          <xs:attribute name="name" type="xs:string" use="required" />
                                                        </xs:complexType>
                                                      </xs:element>
                                                      <xs:element minOccurs="0" name="random">
                                                        <xs:complexType>
                                                          <xs:sequence>
                                                            <xs:element maxOccurs="unbounded" name="li" type="xs:string" />
                                                          </xs:sequence>
                                                        </xs:complexType>
                                                      </xs:element>
                                                    </xs:sequence>
                                                    <xs:attribute name="name" type="xs:string" use="required" />
                                                  </xs:complexType>
                                                </xs:element>
                                                <xs:element name="think">
                                                  <xs:complexType>
                                                    <xs:sequence>
                                                      <xs:element name="set">
                                                        <xs:complexType>
                                                          <xs:sequence>
                                                            <xs:element name="get">
                                                              <xs:complexType>
                                                                <xs:attribute name="name" type="xs:string" use="required" />
                                                              </xs:complexType>
                                                            </xs:element>
                                                          </xs:sequence>
                                                          <xs:attribute name="name" type="xs:string" use="required" />
                                                        </xs:complexType>
                                                      </xs:element>
                                                    </xs:sequence>
                                                  </xs:complexType>
                                                </xs:element>
                                              </xs:choice>
                                            </xs:sequence>
                                          </xs:complexType>
                                        </xs:element>
                                      </xs:choice>
                                    </xs:sequence>
                                    <xs:attribute name="value" type="xs:string" use="optional" />
                                    <xs:attribute name="name" type="xs:string" use="optional" />
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="think">
                                  <xs:complexType>
                                    <xs:sequence>
                                      <xs:element minOccurs="0" name="li">
                                        <xs:complexType>
                                          <xs:sequence>
                                            <xs:element name="set">
                                              <xs:complexType>
                                                <xs:sequence>
                                                  <xs:element name="star" />
                                                </xs:sequence>
                                                <xs:attribute name="name" type="xs:string" use="required" />
                                              </xs:complexType>
                                            </xs:element>
                                          </xs:sequence>
                                          <xs:attribute name="name" type="xs:string" use="required" />
                                          <xs:attribute name="value" type="xs:string" use="required" />
                                        </xs:complexType>
                                      </xs:element>
                                      <xs:element minOccurs="0" name="set">
                                        <xs:complexType mixed="true">
                                          <xs:sequence minOccurs="0">
                                            <xs:element name="input" />
                                          </xs:sequence>
                                          <xs:attribute name="name" type="xs:string" use="required" />
                                        </xs:complexType>
                                      </xs:element>
                                    </xs:sequence>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="bot">
                                  <xs:complexType>
                                    <xs:attribute name="name" type="xs:string" use="required" />
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="script">
                                  <xs:complexType mixed="true">
                                    <xs:sequence>
                                      <xs:element name="bot">
                                        <xs:complexType>
                                          <xs:attribute name="name" type="xs:string" use="required" />
                                        </xs:complexType>
                                      </xs:element>
                                      <xs:element name="get">
                                        <xs:complexType>
                                          <xs:attribute name="name" type="xs:string" use="required" />
                                        </xs:complexType>
                                      </xs:element>
                                    </xs:sequence>
                                    <xs:attribute name="language" type="xs:string" use="required" />
                                  </xs:complexType>
                                </xs:element>
                              </xs:choice>
                            </xs:sequence>
                            <xs:attribute name="name" type="xs:string" use="optional" />
                            <xs:attribute name="value" type="xs:string" use="optional" />
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="script">
                          <xs:complexType mixed="true">
                            <xs:sequence>
                              <xs:element name="get">
                                <xs:complexType>
                                  <xs:attribute name="name" type="xs:string" use="required" />
                                </xs:complexType>
                              </xs:element>
                            </xs:sequence>
                            <xs:attribute name="language" type="xs:string" use="required" />
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="input">
                          <xs:complexType>
                            <xs:attribute name="index" type="xs:unsignedByte" use="required" />
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="get">
                          <xs:complexType>
                            <xs:attribute name="name" type="xs:string" use="required" />
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="think">
                          <xs:complexType mixed="true">
                            <xs:sequence minOccurs="0">
                              <xs:choice maxOccurs="unbounded">
                                <xs:element maxOccurs="unbounded" name="get">
                                  <xs:complexType>
                                    <xs:attribute name="name" type="xs:string" use="required" />
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="gossip">
                                  <xs:complexType mixed="true">
                                    <xs:sequence>
                                      <xs:choice maxOccurs="unbounded">
                                        <xs:element name="input">
                                          <xs:complexType>
                                            <xs:attribute name="index" type="xs:unsignedByte" use="optional" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element maxOccurs="unbounded" name="get">
                                          <xs:complexType>
                                            <xs:attribute name="name" type="xs:string" use="required" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="star" />
                                      </xs:choice>
                                    </xs:sequence>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element maxOccurs="unbounded" name="set">
                                  <xs:complexType mixed="true">
                                    <xs:sequence minOccurs="0">
                                      <xs:choice maxOccurs="unbounded">
                                        <xs:element name="bot">
                                          <xs:complexType>
                                            <xs:attribute name="name" type="xs:string" use="required" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="formal">
                                          <xs:complexType>
                                            <xs:sequence>
                                              <xs:element name="star" />
                                            </xs:sequence>
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="condition">
                                          <xs:complexType>
                                            <xs:sequence>
                                              <xs:element maxOccurs="unbounded" name="li">
                                                <xs:complexType>
                                                  <xs:simpleContent>
                                                    <xs:extension base="xs:string">
                                                      <xs:attribute name="value" type="xs:string" use="optional" />
                                                      <xs:attribute name="name" type="xs:string" use="optional" />
                                                    </xs:extension>
                                                  </xs:simpleContent>
                                                </xs:complexType>
                                              </xs:element>
                                            </xs:sequence>
                                            <xs:attribute name="name" type="xs:string" use="optional" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="srai">
                                          <xs:complexType mixed="true">
                                            <xs:sequence>
                                              <xs:element name="star" />
                                            </xs:sequence>
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="javascript">
                                          <xs:complexType mixed="true">
                                            <xs:sequence>
                                              <xs:element name="get">
                                                <xs:complexType>
                                                  <xs:attribute name="name" type="xs:string" use="required" />
                                                </xs:complexType>
                                              </xs:element>
                                            </xs:sequence>
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="star">
                                          <xs:complexType>
                                            <xs:attribute name="index" type="xs:unsignedByte" use="optional" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="id" />
                                        <xs:element name="that" />
                                        <xs:element name="person" />
                                        <xs:element maxOccurs="unbounded" name="get">
                                          <xs:complexType>
                                            <xs:attribute name="name" type="xs:string" use="required" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="input">
                                          <xs:complexType>
                                            <xs:attribute name="index" type="xs:unsignedByte" use="optional" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="think">
                                          <xs:complexType>
                                            <xs:sequence>
                                              <xs:element name="set">
                                                <xs:complexType>
                                                  <xs:sequence>
                                                    <xs:element name="get">
                                                      <xs:complexType>
                                                        <xs:attribute name="name" type="xs:string" use="required" />
                                                      </xs:complexType>
                                                    </xs:element>
                                                  </xs:sequence>
                                                  <xs:attribute name="name" type="xs:string" use="required" />
                                                </xs:complexType>
                                              </xs:element>
                                            </xs:sequence>
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="set">
                                          <xs:complexType mixed="true">
                                            <xs:sequence minOccurs="0">
                                              <xs:element minOccurs="0" name="star" />
                                              <xs:element minOccurs="0" name="that" />
                                              <xs:element minOccurs="0" name="think">
                                                <xs:complexType>
                                                  <xs:sequence>
                                                    <xs:element name="set">
                                                      <xs:complexType>
                                                        <xs:sequence>
                                                          <xs:element name="get">
                                                            <xs:complexType>
                                                              <xs:attribute name="name" type="xs:string" use="required" />
                                                            </xs:complexType>
                                                          </xs:element>
                                                        </xs:sequence>
                                                        <xs:attribute name="name" type="xs:string" use="required" />
                                                      </xs:complexType>
                                                    </xs:element>
                                                  </xs:sequence>
                                                </xs:complexType>
                                              </xs:element>
                                              <xs:element minOccurs="0" name="set">
                                                <xs:complexType mixed="true">
                                                  <xs:sequence minOccurs="0">
                                                    <xs:element minOccurs="0" name="that" />
                                                    <xs:element minOccurs="0" name="get">
                                                      <xs:complexType>
                                                        <xs:attribute name="name" type="xs:string" use="required" />
                                                      </xs:complexType>
                                                    </xs:element>
                                                    <xs:element minOccurs="0" name="person">
                                                      <xs:complexType>
                                                        <xs:sequence minOccurs="0">
                                                          <xs:element name="input">
                                                            <xs:complexType>
                                                              <xs:attribute name="index" type="xs:unsignedByte" use="required" />
                                                            </xs:complexType>
                                                          </xs:element>
                                                          <xs:element minOccurs="0" name="person" />
                                                        </xs:sequence>
                                                      </xs:complexType>
                                                    </xs:element>
                                                  </xs:sequence>
                                                  <xs:attribute name="name" type="xs:string" use="required" />
                                                </xs:complexType>
                                              </xs:element>
                                              <xs:element minOccurs="0" name="person">
                                                <xs:complexType>
                                                  <xs:sequence minOccurs="0">
                                                    <xs:element name="input">
                                                      <xs:complexType>
                                                        <xs:attribute name="index" type="xs:unsignedByte" use="required" />
                                                      </xs:complexType>
                                                    </xs:element>
                                                  </xs:sequence>
                                                </xs:complexType>
                                              </xs:element>
                                              <xs:element minOccurs="0" maxOccurs="unbounded" name="get">
                                                <xs:complexType>
                                                  <xs:attribute name="name" type="xs:string" use="required" />
                                                </xs:complexType>
                                              </xs:element>
                                            </xs:sequence>
                                            <xs:attribute name="name" type="xs:string" use="required" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element name="person2" />
                                      </xs:choice>
                                    </xs:sequence>
                                    <xs:attribute name="name" type="xs:string" use="required" />
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="think">
                                  <xs:complexType>
                                    <xs:sequence>
                                      <xs:element name="set">
                                        <xs:complexType>
                                          <xs:sequence>
                                            <xs:element name="get">
                                              <xs:complexType>
                                                <xs:attribute name="name" type="xs:string" use="required" />
                                              </xs:complexType>
                                            </xs:element>
                                          </xs:sequence>
                                          <xs:attribute name="name" type="xs:string" use="required" />
                                        </xs:complexType>
                                      </xs:element>
                                    </xs:sequence>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="srai">
                                  <xs:complexType mixed="true">
                                    <xs:sequence minOccurs="0">
                                      <xs:element name="star" />
                                    </xs:sequence>
                                  </xs:complexType>
                                </xs:element>
                              </xs:choice>
                            </xs:sequence>
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="that">
                          <xs:complexType>
                            <xs:attribute name="index" type="xs:string" use="optional" />
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="set">
                          <xs:complexType mixed="true">
                            <xs:sequence minOccurs="0">
                              <xs:element minOccurs="0" name="javascript" type="xs:string" />
                              <xs:element minOccurs="0" name="random">
                                <xs:complexType>
                                  <xs:sequence>
                                    <xs:element maxOccurs="unbounded" name="li">
                                      <xs:complexType>
                                        <xs:sequence>
                                          <xs:element maxOccurs="unbounded" name="srai" type="xs:string" />
                                        </xs:sequence>
                                      </xs:complexType>
                                    </xs:element>
                                  </xs:sequence>
                                </xs:complexType>
                              </xs:element>
                              <xs:element minOccurs="0" name="srai" type="xs:string" />
                              <xs:element minOccurs="0" name="bot">
                                <xs:complexType>
                                  <xs:attribute name="name" type="xs:string" use="required" />
                                </xs:complexType>
                              </xs:element>
                              <xs:element minOccurs="0" name="formal">
                                <xs:complexType>
                                  <xs:sequence>
                                    <xs:element minOccurs="0" name="get">
                                      <xs:complexType>
                                        <xs:attribute name="name" type="xs:string" use="required" />
                                      </xs:complexType>
                                    </xs:element>
                                    <xs:element minOccurs="0" name="star">
                                      <xs:complexType>
                                        <xs:attribute name="index" type="xs:unsignedByte" use="optional" />
                                      </xs:complexType>
                                    </xs:element>
                                  </xs:sequence>
                                </xs:complexType>
                              </xs:element>
                              <xs:element minOccurs="0" name="input">
                                <xs:complexType>
                                  <xs:attribute name="index" type="xs:unsignedByte" use="required" />
                                </xs:complexType>
                              </xs:element>
                              <xs:element minOccurs="0" name="star" />
                              <xs:element minOccurs="0" name="person2" />
                              <xs:element minOccurs="0" name="think">
                                <xs:complexType>
                                  <xs:sequence>
                                    <xs:element name="set">
                                      <xs:complexType>
                                        <xs:sequence>
                                          <xs:element name="get">
                                            <xs:complexType>
                                              <xs:attribute name="name" type="xs:string" use="required" />
                                            </xs:complexType>
                                          </xs:element>
                                        </xs:sequence>
                                        <xs:attribute name="name" type="xs:string" use="required" />
                                      </xs:complexType>
                                    </xs:element>
                                  </xs:sequence>
                                </xs:complexType>
                              </xs:element>
                              <xs:element minOccurs="0" name="set">
                                <xs:complexType mixed="true">
                                  <xs:sequence minOccurs="0">
                                    <xs:element minOccurs="0" name="favoritesong" />
                                    <xs:element minOccurs="0" name="bot">
                                      <xs:complexType>
                                        <xs:attribute name="name" type="xs:string" use="required" />
                                      </xs:complexType>
                                    </xs:element>
                                    <xs:element minOccurs="0" name="person" />
                                    <xs:element minOccurs="0" name="star" />
                                    <xs:element minOccurs="0" name="think">
                                      <xs:complexType>
                                        <xs:sequence>
                                          <xs:element name="set">
                                            <xs:complexType>
                                              <xs:sequence>
                                                <xs:element name="get">
                                                  <xs:complexType>
                                                    <xs:attribute name="name" type="xs:string" use="required" />
                                                  </xs:complexType>
                                                </xs:element>
                                              </xs:sequence>
                                              <xs:attribute name="name" type="xs:string" use="required" />
                                            </xs:complexType>
                                          </xs:element>
                                        </xs:sequence>
                                      </xs:complexType>
                                    </xs:element>
                                    <xs:element minOccurs="0" name="set">
                                      <xs:complexType>
                                        <xs:simpleContent>
                                          <xs:extension base="xs:string">
                                            <xs:attribute name="name" type="xs:string" use="required" />
                                          </xs:extension>
                                        </xs:simpleContent>
                                      </xs:complexType>
                                    </xs:element>
                                  </xs:sequence>
                                  <xs:attribute name="name" type="xs:string" use="required" />
                                </xs:complexType>
                              </xs:element>
                              <xs:element minOccurs="0" name="that" />
                              <xs:element minOccurs="0" name="person" />
                            </xs:sequence>
                            <xs:attribute name="name" type="xs:string" use="required" />
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="sr" />
                        <xs:element name="srai">
                          <xs:complexType mixed="true">
                            <xs:sequence minOccurs="0">
                              <xs:choice maxOccurs="unbounded">
                                <xs:element name="random">
                                  <xs:complexType>
                                    <xs:sequence>
                                      <xs:element maxOccurs="unbounded" name="li" type="xs:string" />
                                    </xs:sequence>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="input">
                                  <xs:complexType>
                                    <xs:attribute name="index" type="xs:unsignedByte" use="required" />
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="srai">
                                  <xs:complexType mixed="true">
                                    <xs:sequence minOccurs="0">
                                      <xs:element name="star" />
                                    </xs:sequence>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="person" />
                                <xs:element name="person2">
                                  <xs:complexType mixed="true">
                                    <xs:sequence minOccurs="0">
                                      <xs:element minOccurs="0" name="star">
                                        <xs:complexType>
                                          <xs:attribute name="index" type="xs:unsignedByte" use="required" />
                                        </xs:complexType>
                                      </xs:element>
                                      <xs:element minOccurs="0" name="that">
                                        <xs:complexType>
                                          <xs:attribute name="index" type="xs:unsignedByte" use="optional" />
                                        </xs:complexType>
                                      </xs:element>
                                      <xs:element minOccurs="0" name="input">
                                        <xs:complexType>
                                          <xs:attribute name="index" type="xs:unsignedByte" use="required" />
                                        </xs:complexType>
                                      </xs:element>
                                    </xs:sequence>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="get">
                                  <xs:complexType>
                                    <xs:attribute name="name" type="xs:string" use="required" />
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="bot">
                                  <xs:complexType>
                                    <xs:attribute name="name" type="xs:string" use="required" />
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="that">
                                  <xs:complexType>
                                    <xs:attribute name="index" type="xs:unsignedByte" use="optional" />
                                  </xs:complexType>
                                </xs:element>
                                <xs:element maxOccurs="unbounded" name="star">
                                  <xs:complexType>
                                    <xs:attribute name="index" type="xs:unsignedByte" use="optional" />
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="set">
                                  <xs:complexType>
                                    <xs:sequence>
                                      <xs:element name="person2" />
                                    </xs:sequence>
                                    <xs:attribute name="name" type="xs:string" use="required" />
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="sr" />
                              </xs:choice>
                            </xs:sequence>
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="a">
                          <xs:complexType>
                            <xs:simpleContent>
                              <xs:extension base="xs:string">
                                <xs:attribute name="href" type="xs:string" use="required" />
                              </xs:extension>
                            </xs:simpleContent>
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="id" />
                        <xs:element name="star">
                          <xs:complexType>
                            <xs:attribute name="index" type="xs:unsignedByte" use="optional" />
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="version" />
                        <xs:element name="br" />
                        <xs:element name="javascript">
                          <xs:complexType mixed="true">
                            <xs:sequence minOccurs="0">
                              <xs:element maxOccurs="unbounded" name="star">
                                <xs:complexType>
                                  <xs:attribute name="index" type="xs:unsignedByte" use="required" />
                                </xs:complexType>
                              </xs:element>
                            </xs:sequence>
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="person2">
                          <xs:complexType>
                            <xs:sequence minOccurs="0">
                              <xs:element minOccurs="0" name="input">
                                <xs:complexType>
                                  <xs:attribute name="index" type="xs:unsignedByte" use="required" />
                                </xs:complexType>
                              </xs:element>
                              <xs:element minOccurs="0" name="that">
                                <xs:complexType>
                                  <xs:attribute name="index" type="xs:unsignedByte" use="optional" />
                                </xs:complexType>
                              </xs:element>
                            </xs:sequence>
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="size" />
                        <xs:element name="taille" />
                        <xs:element name="justhat" />
                        <xs:element name="getgender" />
                        <xs:element name="getlocation" />
                        <xs:element name="favoritesong" />
                        <xs:element name="thatstar">
                          <xs:complexType>
                            <xs:attribute name="index" type="xs:unsignedByte" use="required" />
                          </xs:complexType>
                        </xs:element>
                        <xs:element name="topic" />
                      </xs:choice>
                    </xs:sequence>
                  </xs:complexType>
                </xs:element>
              </xs:sequence>
            </xs:complexType>
          </xs:element>
          <xs:element name="topic">
            <xs:complexType>
              <xs:sequence>
                <xs:element maxOccurs="unbounded" name="category">
                  <xs:complexType>
                    <xs:sequence>
                      <xs:element name="pattern" type="xs:string" />
                      <xs:element name="template">
                        <xs:complexType>
                          <xs:sequence>
                            <xs:element minOccurs="0" name="think">
                              <xs:complexType>
                                <xs:sequence>
                                  <xs:element maxOccurs="unbounded" name="set">
                                    <xs:complexType>
                                      <xs:sequence>
                                        <xs:element minOccurs="0" name="star">
                                          <xs:complexType>
                                            <xs:attribute name="index" type="xs:unsignedByte" use="required" />
                                          </xs:complexType>
                                        </xs:element>
                                        <xs:element minOccurs="0" name="get">
                                          <xs:complexType>
                                            <xs:attribute name="name" type="xs:string" use="required" />
                                          </xs:complexType>
                                        </xs:element>
                                      </xs:sequence>
                                      <xs:attribute name="name" type="xs:string" use="required" />
                                    </xs:complexType>
                                  </xs:element>
                                </xs:sequence>
                              </xs:complexType>
                            </xs:element>
                            <xs:element name="srai">
                              <xs:complexType mixed="true">
                                <xs:sequence minOccurs="0">
                                  <xs:element name="star">
                                    <xs:complexType>
                                      <xs:attribute name="index" type="xs:unsignedByte" use="optional" />
                                    </xs:complexType>
                                  </xs:element>
                                </xs:sequence>
                              </xs:complexType>
                            </xs:element>
                          </xs:sequence>
                        </xs:complexType>
                      </xs:element>
                    </xs:sequence>
                  </xs:complexType>
                </xs:element>
              </xs:sequence>
              <xs:attribute name="name" type="xs:string" use="required" />
            </xs:complexType>
          </xs:element>
        </xs:choice>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>